Packages - Bug #1479

[iceweasel][icecat][icedove] Garbled text after update of FreeType 2.8.1, if RGB sub-pixel rendering
of fonts enabled

2017-09-23 12:48 PM - nRoof

Status: fixed % Done: 100%
Priority: bug

Assignee: oaken-source

Category:

Description

Steps to reproduce:
1. Make sure the following is set in ~/.Xresources (I needed to relogin for the changes to come into effect) :

Xft.rgba: rgb

2. Run Iceweasel and open any web-page with text, for example https://www.parabola.nu/

Expected:
Everything is displayed correctly.

Actual:
The text is garbled everywhere in the window. See the attached screenshot.

NOTES:

1. This is observed on KDE Plasma. Haven't been tested on any other DE.

2. Not reproducible if ~/.Xresources is removed. But in this case the font rendering is gray-scale instead of RGB.
3. See news from https://www.freetype.org/ about Harmony, this is a probable cause of the issue.

4. It seems Arch has already patched their firefox package, but | haven't tested it. See
https:/git.archlinux.org/svntoqit/packages.qgit/log/trunk?h=packages/firefox for recent changes.

History

#1 - 2017-09-23 03:55 PM - nRoof

The issue is also reproducible for icecat and icedove packages. Not sure if there are any other Gecko-based packages, but it seems they should be
affected too.

Please update the summary of the bug to mentijon additional packages, since it seems this functionality isn't available for me.

#2 - 2017-09-25 04:27 PM - amanita

Confirmed for both icecat and icedove on i3wm.

#3 - 2017-09-26 03:45 PM - fablamar78

Same issue here with iceweasel, icecat, icedove on xfce

#4 - 2017-09-26 05:18 PM - isacdaavid

- Subject changed from [iceweasel] Garbled text after update of FreeType 2.8.1, if RGB sub-pixel rendering of fonts enabled to
[iceweasel][icecat]ficedove] Garbled text after update of FreeType 2.8.1, if RGB sub-pixel rendering of fonts enabled

#5 - 2017-10-07 01:32 PM - remi

Also the case on icecat here on BSPWM. Removing Xft.rgba from the .Xresources didn't help for me. Downgrading freetype2 to
freetype2-2.8-2-x86_64 works as a temporary solution.

#6 - 2017-10-14 08:49 AM - oaken-source
- % Done changed from 0 to 100
- Assignee set to oaken-source

- Status changed from open to fixed

| believe this has been fixed already. If not, please let me know.
#7 - 2017-10-15 06:25 PM - nRoof

| can confirm that iceweasel and icedove are fixed now. Icecat still has this issue.

#8 - 2017-10-15 06:37 PM - oaken-source
- % Done changed from 100 to 60

- Status changed from fixed to in progress

#9 - 2017-10-15 06:54 PM - nRoof
- File Screenshot_20171015_203338.png added
- File Screenshot_20171015_202050.png added

| just found one more package with the same issue: iceape. Please see attached screenshots for icecat and iceape. Should | log it as a separate bug?

Nothing more found so far from Mozilla family. Checked xulrunner, works fine.

#10 - 2017-10-15 07:01 PM - oaken-source

| have to admit | can't reproduce the issue :(

However, | ported the patches used to fix the issue in iceweasel to icecat, and it looks like that should do the trick.

I'll look at iceape separately, but | don't think it's a critical issue there.

#11 - 2017-10-15 07:15 PM - ovruni
- % Done changed from 60 to 100

- Status changed from in progress to fixed
